﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Spaanjaars.ContactManager.Infrastructure.Validation;

namespace Spaanjaars.ContactManager.Infrastructure.Domain
{
    public abstract class DomainObject<T> : IDomainObject
    {
        public abstract IEnumerable<IBrokenRule> GetBrokenRulesFor(IDomainObjectValidator<T> domainObjectValidator);

        public abstract IEnumerable<IBrokenRule> GetBrokenRules();     
    }
}
