﻿using System;
using System.Linq.Expressions;

namespace Spaanjaars.ContactManager.Infrastructure.Domain
{
    public interface ISpecification<T>
    {
        Expression<Func<T, bool>> Predicate { get; }

        bool IsSatisfiedBy(T entity);
    }
}