﻿using System;

namespace Spaanjaars.ContactManager.Infrastructure.Validation
{
    public class BrokenRule : IBrokenRule
    {
        public BrokenRule(string propertyName, string rule)
        {
            PropertyName = propertyName;
            BrokenRuleMessage = rule;
        }

        public string PropertyName
        {
            get; private set;
        }

        public string BrokenRuleMessage
        {
            get; private set;
        }        
    }
}