﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FluentValidation;
using Spaanjaars.ContactManager.Infrastructure.Validation;
using Spaanjaars.ContactManager.Model.Validation;

namespace Spaanjaars.ContactManager.Model
{
    public class AddressValidator : FluentValidationAdapterBase<Address>
    {
        public AddressValidator()
        {
            RuleFor(address => address.Street).NotEmpty();
            RuleFor(address => address.HouseNumber).NotEmpty();            
        }

    }    
}
