﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using Spaanjaars.ContactManager.Repository.EF.DataContextStorage;

namespace Spaanjaars.ContactManager.Repository.EF
{
    public class DataContextFactory
    {      
        public static ContactsContext GetDataContext()
        {
            IDataContextStorageContainer _dataContextStorageContainer = DataContextStorageFactory.CreateStorageContainer();

            ContactsContext libraryDataContext = _dataContextStorageContainer.GetDataContext();
            if (libraryDataContext == null)
            {
                libraryDataContext = new ContactsContext();
                _dataContextStorageContainer.Store(libraryDataContext);
            }

            return libraryDataContext;            
        }       
    }
}
