﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FluentValidation.Results;
using Spaanjaars.ContactManager.Infrastructure.Validation;
using Spaanjaars.ContactManager.Services.ViewModels;

namespace Spaanjaars.ContactManager.Services.Commands
{
    public class CreateContactPersonCommandResult
    {
        public ContactPersonViewModel ContactPersonViewModel { get; set; }

        public bool HasErrors { get; set; }

        public IEnumerable<IBrokenRule> BrokenRules { get; set; }        
    }
}
